1. admin-workspaces
Docpier IDP API
  • IDP API
  • Webhook
  • Endpoints
    • agent
      • Upload a document
      • Retrieve structured data
      • Stream Document Content
      • Provide feedback
      • Get Document Feedback
    • admin-workspaces
      • Admin List Workspaces
        GET
      • Admin Create Workspace
        POST
      • Admin Get Workspace
        GET
      • Admin Patch Workspace
        PATCH
      • Admin Grant Workspace Access
        POST
      • Admin Revoke Workspace Access
        DELETE
      • Admin List Keycloak Agent Client Credentials
        GET
      • Admin Create Keycloak Agent Client
        POST
      • Admin Get Workspace Settings
        GET
      • Admin Merge Workspace Settings
        PATCH
      • Admin List Webhooks
        GET
      • Admin Create Webhook
        POST
      • Admin Patch Webhook
        PATCH
      • Admin Delete Webhook
        DELETE
      • Admin Meta Document Types
        GET
  1. admin-workspaces

Admin List Workspaces

GET
/admin/workspaces

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or

Responses

🟢200
application/json
Successful Response
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://test.your-api-server.com/admin/workspaces' \
--header 'Authorization: Bearer <token>'
Response Response Example
[
    {
        "id": "string",
        "name": "string",
        "ext_ref": "string",
        "created_at": "2019-08-24T14:15:22.123Z",
        "access": [
            {
                "subject_id": "string",
                "subject_type": "string"
            }
        ]
    }
]
Modified at 2026-05-16 21:22:56
Previous
Get Document Feedback
Next
Admin Create Workspace
Built with